Subject: bug#75521: scratch/igc: Delete unused macro DEFVAR_LISP_NOPROX

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jan 2025 08:34:46 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 15 Jan 2025 13:55:35 -0800
> Cc: [email-masked], [email-masked]
> 
> I didn't think it was worth ifdef'ing those two functions for HAVE_MPS,
> as I didn't consider that someone might find it confusing.  Do you think
> it would be better if we did?

I think defvar_lisp_nopro should be a static function in the HAVE_MPS
build, since it will not be called from anywhere but defvar_lisp.  And
its commentary should be changed accordingly.

I'd also appreciate a comment for DEFVAR_LISP_NOPRO in lisp.h,
explaining what it does and saying that it is only used in non-MPS
build.

I can make these changes myself, if you prefer.